--  @(#)61    1.11  src/tedw_apps/inv/install/v420/cdw/ddl/inv_cdw_schema.sql, inventory, inventory_4.2, 42INV29A  10/21/04  06:41:21
--
-- Licensed Materials - Property of IBM
--
-- 5698-INV
--
-- (C) Copyright IBM Corp. 2002 All Rights Reserved
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp

---------------------------------------------------------------------------------
--  NOTE: the Central Data Warehouse (CDW) is always on DB2 so the staging tables
-- and other DB objects are always the same whatever is the RIM database involved
-- in the ETL process.
---------------------------------------------------------------------------------
--
-- WEP patch 4.2-INV-0018 (1st patch for TCM WEP)
--

--#iftag fixpack_1

alter table inv.stage_sd_package_t alter column sware_name set data type varchar(128);
alter table inv.stage_sd_package alter column sware_name set data type varchar(128);
alter table inv.stage_dis_filepack_t alter column dis_fp_name set data type varchar(128);
alter table inv.stage_dis_filepack alter column dis_fp_name set data type varchar(128);
alter table inv.stage_file_pack alter column fp_name set data type varchar(128);
alter table inv.stage_file_pack alter column fp_name_version set data type varchar(192);
alter table inv.stage_file_pack_t alter column fp_name set data type varchar(128);
alter table inv.stage_file_pack_t alter column fp_name_version set data type varchar(192);
alter table inv.stage_d_swd_dist_t alter column filepack_name set data type varchar(128);
alter table inv.stage_d_swd_dist alter column filepack_name set data type varchar(128);

commit;

--#endtag fixpack_1

--
-- WEP patch 4.2-INV-0029 (2st patch for TCM WEP)
--

--#iftag fixpack_2
-- Do nothing
--#endtag fixpack_2

